Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Boris Buliga <[email-masked]>
Date: Mon, 29 Oct 2018 19:41:45 +0200

Alan,

Thank you for the patch. I will also give it a try because I experience
flickering from time to time.

On Mon, 29 Oct 2018 at 18:09, Alan Third <[email-masked]> wrote:

> On Sun, Oct 28, 2018 at 07:18:04PM -0700, Aaron Jensen wrote:
> > On October 24, 2018 at 3:42:47 AM, Alan Third
> > ([email-masked](mailto:[email-masked])) wrote:
> >
> > > I’ve pushed a slight variant of this change to emacs-26. I’ve
> > > witnessed a very rare flicker of the modeline and the line containing
> > > the cursor in other windows while scrolling, but I can’t replicate it
> > > consistently.
> >
> > I am definitely seeing the flicker on the current line. It happens
> > occasionally when my emacs is idle (probably not truly idle). I see it
> > sometimes when I tell emacs to do something that is a thread blocking
> > operation (like loading some autoloaded lisp for the first time). It’s
> > as if it clears the current line and then immediately blocks the
> > rendering thread before it gets a chance to rerender the line. As soon
> > as Emacs is done doing whatever it was doing, the line rerenders.
> >
> > No clue if that helps, but if there’s anything you want to try, I’ll
> > be able to let you know if it fixes it :)
>
> One more go. I don’t think I’ve seen the cursor line flicker after
> installing this.
>
> Simply, all I’ve done is stop making it redraw the entire line the
> cursor is on. That should stop any flicker of the line text caused by
> redrawing the cursor, but won’t stop any flicker of the cursor itself,
> although I’ve not seen it flicker.
>
> There’s a bit more in here to do with drawing the fringe bitmaps,
> because that was the only other place ns_clip_to_row was being used,
> so I’ve removed it from there too.
> --
> Alan Third
>

-- 
Cheers,
Boris